org.apache.olingo.client.api.communication.request.cud

## Enum UpdateType

- java.lang.Object
- - java.lang.Enum<UpdateType>
  - - org.apache.olingo.client.api.communication.request.cud.UpdateType

- All Implemented Interfaces:
    Serializable, Comparable<UpdateType>

      public enum UpdateType
      extends Enum<UpdateType>

  Update type.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `PATCH` Differential update with only specified input property values to be replaced.
    `REPLACE` Replace all and remove missing attributes.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HttpMethod` | `getMethod()` Gets HTTP request method.
    `static UpdateType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UpdateType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### REPLACE

          public static final UpdateType REPLACE

      Replace all and remove missing attributes.

    - #### PATCH

          public static final UpdateType PATCH

      Differential update with only specified input property values to be replaced.

  - ### Method Detail

    - #### values

          public static UpdateType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UpdateType c : UpdateType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UpdateType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getMethod

          public HttpMethod getMethod()

      Gets HTTP request method.
      Returns:
        HTTP request method.

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.